> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.getkard.com/2024-10-01/api/notifications/subscriptions/update/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.getkard.com/_mcp/server. # Update Subscription PATCH https://rewards-api.getkard.com/v2/issuers/{organizationId}/subscriptions/{subscriptionId} Content-Type: application/json Call this endpoint to update existing notification subscriptions. Required scopes: `notifications:write` Reference: https://docs.getkard.com/api/notifications/subscriptions/update ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Servers - `https://rewards-api.getkard.com` (Production, default) - `https://test-rewards-api.getkard.com` (Sandbox) ## Request ### Path parameters - `organizationId` (string, required) — Your issuer organization ID, provided by Kard - `subscriptionId` (string, required) — The ID of the subscription ### Body (application/json) This endpoint expects an UpdateSubscriptionRequestBody. - `data` (UpdateSubscriptionRequestUnion, required) ## Response ### 200 - `data` (CreateSubscriptionUnion, required) ## Errors ### 401 Unauthorized Error - `errors` (list of ErrorObject, required) ### 500 Internal Server Error - `errors` (list of ErrorObject, required) ### 400 Invalid Request - `errors` (list of ErrorObject, required) ### 404 Does Not Exist Error - `errors` (list of ErrorObject, required) ## Types ### UpdateSubscriptionRequestUnion - `type`: `subscription` - `attributes` (UpdateSubscriptionRequestAttributes, required) ### CreateSubscriptionUnion - `type`: `subscription` - `attributes` (SubscriptionRequestAttributes, required) - `id` (string, required) — The ID of the subscription ### ErrorObject - `status` (string, required) — Status code returned from the request - `title` (string, required) — Name of error - `detail` (string, required) — Description of the specific occurance of the error - `source` (ErrorSource, optional) — An object containing a reference to the primary source of the error - `id` (string, optional) — The id of the resource which caused the error. Always returned for multi-status errors. ### UpdateSubscriptionRequestAttributes - `eventName` (enum, optional) — The name of the event for the subscription - Allowed values: `earnedRewardApproved`, `earnedRewardSettled`, `earnedRewardRejected`, `auditUpdate`, `fileProcessingResult`, `pushNotificationPlacementFile`, `emailNotificationPlacementFile` - `webhookUrl` (string, optional) — The URL where notifications will be delivered - `enabled` (boolean, optional) — Indicates whether the subscription is active ### SubscriptionRequestAttributes - `eventName` (enum, required) — The name of the event for the subscription - Allowed values: `earnedRewardApproved`, `earnedRewardSettled`, `earnedRewardRejected`, `auditUpdate`, `fileProcessingResult`, `pushNotificationPlacementFile`, `emailNotificationPlacementFile` - `webhookUrl` (string, required) — The URL where notifications will be delivered - `enabled` (boolean, required) — Indicates whether the subscription is active ### ErrorSource - `pointer` (string, optional) — A JSON pointer to the value in the request document that caused the error - `parameter` (string, optional) — A string indicating which URI query parameter caused the error - `header` (string, optional) — A string indicating the name of a single request header which caused the error ## Examples **Request** ```json { "data": { "type": "subscription", "attributes": { "eventName": "earnedRewardApproved", "webhookUrl": "https://webhookUrl.com/post", "enabled": true } } } ``` **Response** ```json { "data": { "type": "subscription", "attributes": { "eventName": "earnedRewardApproved", "webhookUrl": "https://webhookUrl.com/post", "enabled": true }, "id": "0193i257-014e-7dd2-9455-fb964d9c85cr" } } ``` **SDK Code** ```python import requests url = "https://rewards-api.getkard.com/v2/issuers/organization-123/subscriptions/subscription-123" payload = { "data": { "type": "subscription", "attributes": { "eventName": "earnedRewardApproved", "webhookUrl": "https://webhookUrl.com/post", "enabled": True } } } headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.patch(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://rewards-api.getkard.com/v2/issuers/organization-123/subscriptions/subscription-123'; const options = { method: 'PATCH', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{"data":{"type":"subscription","attributes":{"eventName":"earnedRewardApproved","webhookUrl":"https://webhookUrl.com/post","enabled":true}}}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://rewards-api.getkard.com/v2/issuers/organization-123/subscriptions/subscription-123" payload := strings.NewReader("{\n \"data\": {\n \"type\": \"subscription\",\n \"attributes\": {\n \"eventName\": \"earnedRewardApproved\",\n \"webhookUrl\": \"https://webhookUrl.com/post\",\n \"enabled\": true\n }\n }\n}") req, _ := http.NewRequest("PATCH", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://rewards-api.getkard.com/v2/issuers/organization-123/subscriptions/subscription-123") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Patch.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{\n \"data\": {\n \"type\": \"subscription\",\n \"attributes\": {\n \"eventName\": \"earnedRewardApproved\",\n \"webhookUrl\": \"https://webhookUrl.com/post\",\n \"enabled\": true\n }\n }\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.patch("https://rewards-api.getkard.com/v2/issuers/organization-123/subscriptions/subscription-123") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{\n \"data\": {\n \"type\": \"subscription\",\n \"attributes\": {\n \"eventName\": \"earnedRewardApproved\",\n \"webhookUrl\": \"https://webhookUrl.com/post\",\n \"enabled\": true\n }\n }\n}") .asString(); ``` ```php request('PATCH', 'https://rewards-api.getkard.com/v2/issuers/organization-123/subscriptions/subscription-123', [ 'body' => '{ "data": { "type": "subscription", "attributes": { "eventName": "earnedRewardApproved", "webhookUrl": "https://webhookUrl.com/post", "enabled": true } } }', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://rewards-api.getkard.com/v2/issuers/organization-123/subscriptions/subscription-123"); var request = new RestRequest(Method.PATCH); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"data\": {\n \"type\": \"subscription\",\n \"attributes\": {\n \"eventName\": \"earnedRewardApproved\",\n \"webhookUrl\": \"https://webhookUrl.com/post\",\n \"enabled\": true\n }\n }\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = ["data": [ "type": "subscription", "attributes": [ "eventName": "earnedRewardApproved", "webhookUrl": "https://webhookUrl.com/post", "enabled": true ] ]] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://rewards-api.getkard.com/v2/issuers/organization-123/subscriptions/subscription-123")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "PATCH" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```